package mishin870;
import javax.microedition.lcdui.Image;

public class IsometryUtils{

public IsometryUtils(){
}

public static Image getIsometryPlane(Image img){
return getIsometryPlane(img,46,24);
}

public static Image getIsometryPlane(Image img,int wid,int hei){
Image temp = ImageUtils.resize_image(img,img.getWidth(),img.getHeight()/2);
temp = ImageUtils.rotate_image(temp,45);
if(wid>0 && hei>0){
	temp = ImageUtils.resize_image(temp,wid,hei);
}
return temp;
}

public static Image getIsometryPlaneNoResize(Image img){
return getIsometryPlane(img,0,0);
}

public static Image getIsometryPlaneUgol(Image img,int ugol,int wid,int hei){
Image temp = ImageUtils.resize_image(img,img.getWidth(),img.getHeight()/2);
temp = ImageUtils.rotate_image(temp,ugol);
if(wid>0 && hei>0){
	temp = ImageUtils.resize_image(temp,wid,hei);
}
return temp;
}

}